<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__cscsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_cscsc_config_t</compoundname>
    <includes local="no">cy_ble_cscs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__cscsc__config__t_1aebaeca53f7a8130f45a607284083af9f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__cscsc__t">cy_stc_ble_cscsc_t</ref> *</type>
        <definition>cy_stc_ble_cscsc_t* cy_stc_ble_cscsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cscs.h" bodystart="141" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cscs.h" line="141" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cscsc__config__t_1a4d224cea534b0ab83340c79374fc095d" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__cscsc__t">cy_stc_ble_cscsc_t</ref> *</type>
        <definition>const cy_stc_ble_cscsc_t* cy_stc_ble_cscsc_config_t::flashAtrInfo</definition>
        <argsstring />
        <name>flashAtrInfo</name>
        <briefdescription>
<para>Flash storage for discovered attributes information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cscs.h" bodystart="143" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cscs.h" line="143" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cscsc__config__t_1ad126beafc5264f1abb698f94cd1c0aa9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cscsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cscs.h" bodystart="145" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cscs.h" line="145" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="341">
        <label>cy_stc_ble_cscsc_srvr_full_char_info_t</label>
        <link refid="structcy__stc__ble__cscsc__srvr__full__char__info__t" />
        <childnode refid="342" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
      <node id="340">
        <label>cy_stc_ble_cscsc_t</label>
        <link refid="structcy__stc__ble__cscsc__t" />
        <childnode refid="341" relation="usage">
          <edgelabel>characteristics</edgelabel>
        </childnode>
      </node>
      <node id="342">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
      <node id="339">
        <label>cy_stc_ble_cscsc_config_t</label>
        <link refid="structcy__stc__ble__cscsc__config__t" />
        <childnode refid="340" relation="usage">
          <edgelabel>attrInfo</edgelabel>
          <edgelabel>flashAtrInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="147" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cscs.h" bodystart="138" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cscs.h" line="139" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__cscsc__config__t_1aebaeca53f7a8130f45a607284083af9f" virt="non-virtual"><scope>cy_stc_ble_cscsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__cscsc__config__t_1a4d224cea534b0ab83340c79374fc095d" virt="non-virtual"><scope>cy_stc_ble_cscsc_config_t</scope><name>flashAtrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__cscsc__config__t_1ad126beafc5264f1abb698f94cd1c0aa9" virt="non-virtual"><scope>cy_stc_ble_cscsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>